OGRE-Next: Ogre::LodOutputProvider Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::LodOutputProvider Class Referenceabstract

`#include <OgreLodOutputProvider.h>`

Inheritance diagram for Ogre::LodOutputProvider:
[legend]

## Public Member Functions
virtual | ~LodOutputProvider ()
virtual void | bakeLodLevel (LodData *data, int lodIndex)=0
virtual void | bakeManualLodLevel (LodData *data, String &manualMeshName, int lodIndex)=0
virtual void | finalize (LodData *data)=0
virtual void | inject ()
virtual void | prepare (LodData *data)=0
virtual void | triangleChanged (LodData *data, LodData::Triangle *tri)
virtual void | triangleRemoved (LodData *data, LodData::Triangle *tri)

## Constructor & Destructor Documentation

## ◆ ~LodOutputProvider()

virtual Ogre::LodOutputProvider::~LodOutputProvider | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ bakeLodLevel()

virtual void Ogre::LodOutputProvider::bakeLodLevel | ( | LodData * | data,
|  | int | lodIndex )
| pure virtual

Implemented in Ogre::LodOutputProviderBuffer, Ogre::LodOutputProviderCompressedMesh, and Ogre::LodOutputProviderMesh.

## ◆ bakeManualLodLevel()

virtual void Ogre::LodOutputProvider::bakeManualLodLevel | ( | LodData * | data,
|  | String & | manualMeshName,
|  | int | lodIndex )
| pure virtual

Implemented in Ogre::LodOutputProviderBuffer, Ogre::LodOutputProviderCompressedMesh, and Ogre::LodOutputProviderMesh.

## ◆ finalize()

virtual void Ogre::LodOutputProvider::finalize | ( | LodData * | data | ) |
| pure virtual

Implemented in Ogre::LodOutputProviderBuffer, Ogre::LodOutputProviderCompressedMesh, and Ogre::LodOutputProviderMesh.

## ◆ inject()

virtual void Ogre::LodOutputProvider::inject | ( |  | ) |
| inlinevirtual

Reimplemented in Ogre::LodOutputProviderBuffer, and Ogre::LodOutputProviderCompressedMesh.

## ◆ prepare()

virtual void Ogre::LodOutputProvider::prepare | ( | LodData * | data | ) |
| pure virtual

Implemented in Ogre::LodOutputProviderBuffer, Ogre::LodOutputProviderCompressedMesh, and Ogre::LodOutputProviderMesh.

## ◆ triangleChanged()

virtual void Ogre::LodOutputProvider::triangleChanged | ( | LodData * | data,
|  | LodData::Triangle * | tri )
| inlinevirtual

Reimplemented in Ogre::LodOutputProviderCompressedMesh.

## ◆ triangleRemoved()

virtual void Ogre::LodOutputProvider::triangleRemoved | ( | LodData * | data,
|  | LodData::Triangle * | tri )
| inlinevirtual

Reimplemented in Ogre::LodOutputProviderCompressedMesh.

The documentation for this class was generated from the following file:

- OgreLodOutputProvider.h